Endpoints

API Key

API Key

URL: /hook/api-key

X-API-Key: authscope-api-key-1234

API Key + MTLS

API Key MTLS

URL: /hook/api-key-mtls

X-API-Key: authscope-api-key-mtls-1234

Basic Auth

Basic Auth

URL: /hook/basic-auth

Username: authscope
Password: secret123

Basic Auth + MTLS

Basic Auth MTLS

URL: /hook/basic-auth-mtls

Username: authscope
Password: secret123

No Auth

Sem autenticação

URL: /hook/no-auth

No Auth + MTLS

Sem autenticação MTLS

URL: /hook/no-auth-mtls

OAuth2

OAuth2 Bearer Token

URL: /hook/oauth2

Bearer: authscope-bearer-token-5678

OAuth2 + MTLS

OAuth2 Bearer Token MTLS

URL: /hook/oauth2-mtls

Bearer: authscope-bearer-token-5678

Token Endpoint

OAuth2 Client Credentials

URL: POST /get-oauth2-token

Client ID: authscope-client
Client Secret: client-secret-xyz
Token: authscope-bearer-token-5678